kafka-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Gustafson (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (KAFKA-2806) Allow Kafka System Tests under different JDK versions
Date Tue, 27 Sep 2016 23:26:20 GMT

     [ https://issues.apache.org/jira/browse/KAFKA-2806?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jason Gustafson updated KAFKA-2806:
-----------------------------------
    Fix Version/s:     (was: 0.10.1.0)
                   0.10.2.0

> Allow Kafka System Tests under different JDK versions
> -----------------------------------------------------
>
>                 Key: KAFKA-2806
>                 URL: https://issues.apache.org/jira/browse/KAFKA-2806
>             Project: Kafka
>          Issue Type: Bug
>            Reporter: Guozhang Wang
>            Assignee: Ewen Cheslack-Postava
>             Fix For: 0.10.2.0
>
>
> Currently the Kafka system tests (using ducktape) uses JDK7 as the runtime inside vagrant
processes. However, there are some known issues with executing Java8 builds with JDK7 under
Scala:
> https://gist.github.com/AlainODea/1375759b8720a3f9f094
> http://stackoverflow.com/questions/24448723/java-error-java-util-concurrent-concurrenthashmap-keyset
> We need to be able to config the system tests to execute different JDK versions in the
virtual machines.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message